Bug 1285013 - Search filters are inconsistent
Search filters are inconsistent
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.1.3
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Kavita
orabin
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks: 1317008
  Show dependency treegraph
 
Reported: 2015-11-24 11:38 EST by Stuart Auchterlonie
Modified: 2018-02-21 11:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:49:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12649 None None None 2016-04-26 13:09 EDT

  None (edit)
Description Stuart Auchterlonie 2015-11-24 11:38:52 EST
Description of problem:

When using the web gui to manage either Host Groups or Puppet Classes
(and possibly other search filters)
filters are not always maintained when leaving a selection

Version-Release number of selected component (if applicable):

6.1.2

How reproducible:

100% for customer

Steps to Reproduce: (this example is for puppet classes)
1. Enter a filter to narrow down your select, and select a class to change.
2. Move to Smart Class Parameters.
3. Over ride a value, and select submit.
4. When you return to the list of classes, the filter is maintained
5. If you do not commit your change, by hitting cancel rather than
   submit, the filter is removed when returning to the class list

Actual results:

Filter is removed when updating an item is cancelled

Expected results:

Filter should be maintained whether cancelling or submitting
a change to an item from the filter list.

Additional info:
Comment 3 Bryan Kearney 2015-12-01 13:13:27 EST
Created redmine issue http://projects.theforeman.org/issues/12649 from this bug
Comment 5 Bryan Kearney 2016-07-08 16:37:23 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 7 pm-sat@redhat.com 2017-01-09 09:49:28 EST
Upstream bug assigned to gsteiger@redhat.com
Comment 8 pm-sat@redhat.com 2017-01-18 02:19:22 EST
Upstream bug assigned to kgaikwad@redhat.com
Comment 9 pm-sat@redhat.com 2017-01-18 02:19:25 EST
Upstream bug assigned to kgaikwad@redhat.com
Comment 10 pm-sat@redhat.com 2017-01-23 14:19:25 EST
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/12649 has been resolved.
Comment 11 orabin 2017-08-02 05:14:34 EDT
Verified.
Version Tested: Satellite-6.3 Snap 9

Verification steps I used:
1. Go to Configure -> Classes
2. Search "name=motd"
3. Edit class and check override for a smart class parameter
4. Submit and check the search filter is still there
5. Edit again, click Cancel and check the filter is still there
Comment 12 Roxanne Hoover 2017-08-02 07:55:10 EDT
This behavior seems inconsistent throughout the UI.

Either filters should be saved on all pages when cancelling a detailed page action, or returning to the menu or not saved.

I would err on the side of saving and allowing the user to clear the filter field if they want it removed.

Thanks for pulling me in Ori!
Comment 13 orabin 2017-08-02 08:49:01 EDT
I added: https://bugzilla.redhat.com/show_bug.cgi?id=1477602 for host and hostgroup.
Comment 14 Bryan Kearney 2018-02-21 11:44:37 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 15 pm-sat@redhat.com 2018-02-21 11:49:54 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.